mptspi_setTargetNegoParms
Prev | Fusion message devices | Next

## Name

mptspi_setTargetNegoParms — Update the target negotiation parameters

## Synopsis

`void mptspi_setTargetNegoParms (` | MPT_SCSI_HOST * | hd,
| VirtTarget * | target,
| struct scsi_device * | sdev`)`;

## Arguments

`hd`

  Pointer to a SCSI Host Structure

`target`

  per target private data

`sdev`

  SCSI device

## Description

Update the target negotiation parameters based on the the Inquiry data, adapter capabilities, and NVRAM settings.

Prev | Up | Next
mptctl_syscall_down | Home | mptspi_writeIOCPage4